---
title: "Cancel post"
description: "Cancel a scheduled post before it is queued for delivery."
section: "API reference"
url: https://dravo.dev/docs/api/posts/cancel
---
# Cancel post

Cancel a post while it is still `scheduled`. Once it has queued for delivery it
can no longer be canceled.

#### `POST /v1/posts/{id}/cancel`

Cancel a scheduled post that has not yet been queued for delivery.

**Auth:** API key (`dra_…`) or dashboard JWT

| Field | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | yes | The post id to cancel. |

Response `200`: Post canceled.

```json
{
  "id": "post_2a7f93",
  "status": "canceled",
  "scheduled_at": "2026-07-01T09:00:00Z"
}
```

Errors:

- `409`: Post already queued/processing and can no longer be canceled.
- `404`: Post not found.
